tomized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/mia-vtk-version.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='9dda7479755ba709bb9bb96614ea09ded566b6d3'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=9dda7479755ba709bb9bb96614ea09ded566b6d3'>refs</a><a href='/guix/log/gnu/packages/patches/mia-vtk-version.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/mia-vtk-version.patch?id=9dda7479755ba709bb9bb96614ea09ded566b6d3'>tree</a><a href='/guix/commit/gnu/packages/patches/mia-vtk-version.patch?id=9dda7479755ba709bb9bb96614ea09ded566b6d3'>commit</a><a href='/guix/diff/gnu/packages/patches/mia-vtk-version.patch?id=9dda7479755ba709bb9bb96614ea09ded566b6d3'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/mia-vtk-version.patch'>
<input type='hidden' name='id' value='9dda7479755ba709bb9bb96614ea09ded566b6d3'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=9dda7479755ba709bb9bb96614ea09ded566b6d3'>root</a>/<a href='/guix/tree/gnu?id=9dda7479755ba709bb9bb96614ea09ded566b6d3'>gnu</a>/<a href='/guix/tree/gnu/packages?id=9dda7479755ba709bb9bb96614ea09ded566b6d3'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=9dda7479755ba709bb9bb96614ea09ded566b6d3'>patches</a>/<a href='/guix/tree/gnu/packages/patches/mia-vtk-version.patch?id=9dda7479755ba709bb9bb96614ea09ded566b6d3'>mia-vtk-version.patch</a></div><div class='content'>blob: 2435079dcc3837f16e95a28dd2358b04b99c4c39 (<a href='/guix/about/gnu/packages/patches/mia-vtk-version.patch?id=9dda7479755ba709bb9bb96614ea09ded566b6d3'>about</a>) (<a href='/guix/plain/gnu/packages/patches/mia-vtk-version.patch?id=9dda7479755ba709bb9bb96614ea09ded566b6d3'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
</pre></td>
<td class='lines'><pre><code>The VTK_MAJOR_VERSION macro is not available by default in newer versions.
This is a hack to expose it without changing all imports.

diff --git a/addons/vtk/CMakeLists.txt b/addons/vtk/CMakeLists.txt
--- a/addons/vtk/CMakeLists.txt
+++ b/addons/vtk/CMakeLists.txt
@@ -36,6 +36,8 @@ IF(WITH_VTKIO)
     ELSE()
       SET(SELECTED_VTK_LIBS ${VTK_MODULES_REQUESTED})
     ENDIF()
+
+   add_compile_definitions(VTK_MAJOR_VERSION=${VTK_VERSION_MAJOR})
     
     SET(VTK_LINK_LIBS_MESH ${SELECTED_VTK_LIBS} miamesh)
     SET(VTK_LINK_LIBS_3D ${SELECTED_VTK_LIBS} mia3d)
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>