<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/tclxml-3.2-install.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='2092c31723b6f33c1c68d18637af1459d8b68bc1'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>rm></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=2092c31723b6f33c1c68d18637af1459d8b68bc1'>refs</a><a href='/guix/log/gnu/packages/patches/monero-use-system-miniupnpc.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/monero-use-system-miniupnpc.patch?id=2092c31723b6f33c1c68d18637af1459d8b68bc1'>tree</a><a href='/guix/commit/gnu/packages/patches/monero-use-system-miniupnpc.patch?id=2092c31723b6f33c1c68d18637af1459d8b68bc1'>commit</a><a href='/guix/diff/gnu/packages/patches/monero-use-system-miniupnpc.patch?id=2092c31723b6f33c1c68d18637af1459d8b68bc1'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/monero-use-system-miniupnpc.patch'>
<input type='hidden' name='id' value='2092c31723b6f33c1c68d18637af1459d8b68bc1'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=2092c31723b6f33c1c68d18637af1459d8b68bc1'>root</a>/<a href='/guix/tree/gnu?id=2092c31723b6f33c1c68d18637af1459d8b68bc1'>gnu</a>/<a href='/guix/tree/gnu/packages?id=2092c31723b6f33c1c68d18637af1459d8b68bc1'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=2092c31723b6f33c1c68d18637af1459d8b68bc1'>patches</a>/<a href='/guix/tree/gnu/packages/patches/monero-use-system-miniupnpc.patch?id=2092c31723b6f33c1c68d18637af1459d8b68bc1'>monero-use-system-miniupnpc.patch</a></div><div class='content'>blob: c5d376d79360d05e54686be6f70a4580bf5f2bc6 (<a href='/guix/about/gnu/packages/patches/monero-use-system-miniupnpc.patch?id=2092c31723b6f33c1c68d18637af1459d8b68bc1'>about</a>) (<a href='/guix/plain/gnu/packages/patches/monero-use-system-miniupnpc.patch?id=2092c31723b6f33c1c68d18637af1459d8b68bc1'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
</pre></td>
<td class='lines'><pre><code>diff --git a/external/CMakeLists.txt b/external/CMakeLists.txt
index 7553f87e..8e865c6c 100644
--- a/external/CMakeLists.txt
+++ b/external/CMakeLists.txt
@@ -37,19 +37,7 @@
 
 find_package(Miniupnpc REQUIRED)
 
-message(STATUS "Using in-tree miniupnpc")
-add_subdirectory(miniupnp/miniupnpc)
-set_property(TARGET libminiupnpc-static PROPERTY FOLDER "external")
-if(MSVC)
-  set_property(TARGET libminiupnpc-static APPEND_STRING PROPERTY COMPILE_FLAGS " -wd4244 -wd4267")
-elseif(NOT MSVC)
-  set_property(TARGET libminiupnpc-static APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-undef -Wno-unused-result -Wno-unused-value")
-endif()
-if(CMAKE_SYSTEM_NAME MATCHES "NetBSD")
-	set_property(TARGET libminiupnpc-static APPEND_STRING PROPERTY COMPILE_FLAGS " -D_NETBSD_SOURCE")
-endif()
-
-set(UPNP_LIBRARIES "libminiupnpc-static" PARENT_SCOPE)
+set(UPNP_LIBRARIES "miniupnpc" PARENT_SCOPE)
 
 find_package(Unbound)
 
diff --git a/src/p2p/net_node.inl b/src/p2p/net_node.inl
index 74924e4f..3554dd0d 100644
--- a/src/p2p/net_node.inl
+++ b/src/p2p/net_node.inl
@@ -49,9 +49,9 @@
 #include "storages/levin_abstract_invoke2.h"
 #include "cryptonote_core/cryptonote_core.h"
 
-#include &lt;miniupnp/miniupnpc/miniupnpc.h&gt;
-#include &lt;miniupnp/miniupnpc/upnpcommands.h&gt;
-#include &lt;miniupnp/miniupnpc/upnperrors.h&gt;
+#include &lt;miniupnpc/miniupnpc.h&gt;
+#include &lt;miniupnpc/upnpcommands.h&gt;
+#include &lt;miniupnpc/upnperrors.h&gt;
 
 #undef MONERO_DEFAULT_LOG_CATEGORY
 #define MONERO_DEFAULT_LOG_CATEGORY "net.p2p"
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>