<html><head><title>/scripts/</title></head>
<body>
<h2>/scripts/</h2>
<ul>
<li><a href='/guix/plain/?id=4a885c650db278515fd5ae143a97cdb9d0f3b4fc'>../</a></li>
  <li><a href='/guix/plain/scripts/guix.in?id=4a885c650db278515fd5ae143a97cdb9d0f3b4fc'>guix.in</a></li>
 </ul>
</body></html>
 href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/mtools-mformat-uninitialized.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='f59c31deaf44cf487878ae6e6b61026630b616ff'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=f59c31deaf44cf487878ae6e6b61026630b616ff'>refs</a><a href='/guix/log/gnu/packages/patches/mtools-mformat-uninitialized.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/mtools-mformat-uninitialized.patch?id=f59c31deaf44cf487878ae6e6b61026630b616ff'>tree</a><a href='/guix/commit/gnu/packages/patches/mtools-mformat-uninitialized.patch?id=f59c31deaf44cf487878ae6e6b61026630b616ff'>commit</a><a href='/guix/diff/gnu/packages/patches/mtools-mformat-uninitialized.patch?id=f59c31deaf44cf487878ae6e6b61026630b616ff'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/mtools-mformat-uninitialized.patch'>
<input type='hidden' name='id' value='f59c31deaf44cf487878ae6e6b61026630b616ff'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=f59c31deaf44cf487878ae6e6b61026630b616ff'>root</a>/<a href='/guix/tree/gnu?id=f59c31deaf44cf487878ae6e6b61026630b616ff'>gnu</a>/<a href='/guix/tree/gnu/packages?id=f59c31deaf44cf487878ae6e6b61026630b616ff'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=f59c31deaf44cf487878ae6e6b61026630b616ff'>patches</a>/<a href='/guix/tree/gnu/packages/patches/mtools-mformat-uninitialized.patch?id=f59c31deaf44cf487878ae6e6b61026630b616ff'>mtools-mformat-uninitialized.patch</a></div><div class='content'>blob: ae69d45c9901a1b0568c127422075e7405fbe6b6 (<a href='/guix/about/gnu/packages/patches/mtools-mformat-uninitialized.patch?id=f59c31deaf44cf487878ae6e6b61026630b616ff'>about</a>) (<a href='/guix/plain/gnu/packages/patches/mtools-mformat-uninitialized.patch?id=f59c31deaf44cf487878ae6e6b61026630b616ff'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
</pre></td>
<td class='lines'><pre><code>Fix a bug whereby 'mformat' could end up passing uninitialized bytes
to write(2).  This could be reproduced with:

  mformat -C -f 1440 -L 16  -N 77777777 -i  /tmp/x ::

where the output of /tmp/x would be non-deterministic.

Patch by Ludovic Courtès &lt;ludo@gnu.org&gt;.

--- mtools-4.0.23/mformat.c	2019-04-21 00:12:01.496116195 +0200
+++ mtools-4.0.23/mformat.c	2019-04-21 00:12:36.675967157 +0200
@@ -927,6 +927,7 @@ void mformat(int argc, char **argv, int
 	
 	char *endptr;
 
+	memset(&amp;boot.bytes, '\0', sizeof boot);
 	hs = hs_set = 0;
 	argtracks = 0;
 	argheads = 0;

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>