<!DOCTYPE html>
<html lang='en'>
<head>
<title>gnu: Add rust-pbkdf2-0.10. - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/po?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='0aaa7f3b2a205aa6be43783787904be15c5905b5'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'> value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=7d26b017d89293822e30e899753fb3df4979c57f'>refs</a><a href='/guix/log/gnu/packages/patches/netcdf-date-time.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/netcdf-date-time.patch?id=7d26b017d89293822e30e899753fb3df4979c57f'>tree</a><a href='/guix/commit/gnu/packages/patches/netcdf-date-time.patch?id=7d26b017d89293822e30e899753fb3df4979c57f'>commit</a><a href='/guix/diff/gnu/packages/patches/netcdf-date-time.patch?id=7d26b017d89293822e30e899753fb3df4979c57f'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/netcdf-date-time.patch'>
<input type='hidden' name='id' value='7d26b017d89293822e30e899753fb3df4979c57f'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=7d26b017d89293822e30e899753fb3df4979c57f'>root</a>/<a href='/guix/tree/gnu?id=7d26b017d89293822e30e899753fb3df4979c57f'>gnu</a>/<a href='/guix/tree/gnu/packages?id=7d26b017d89293822e30e899753fb3df4979c57f'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=7d26b017d89293822e30e899753fb3df4979c57f'>patches</a>/<a href='/guix/tree/gnu/packages/patches/netcdf-date-time.patch?id=7d26b017d89293822e30e899753fb3df4979c57f'>netcdf-date-time.patch</a></div><div class='content'>blob: a4e7925aa1d22e7586df6cb12dd4149c441f4b04 (<a href='/guix/about/gnu/packages/patches/netcdf-date-time.patch?id=7d26b017d89293822e30e899753fb3df4979c57f'>about</a>) (<a href='/guix/plain/gnu/packages/patches/netcdf-date-time.patch?id=7d26b017d89293822e30e899753fb3df4979c57f'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
</pre></td>
<td class='lines'><pre><code>--- a/libdispatch/derror.c
+++ b/libdispatch/derror.c
@@ -13,7 +13,7 @@
 #endif
 
 /* Tell the user the version of netCDF. */
-static const char nc_libvers[] = PACKAGE_VERSION " of "__DATE__" "__TIME__" $";
+static const char nc_libvers[] = PACKAGE_VERSION" $";
 
 /**
 \defgroup lib_version Library Version
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>