<!DOCTYPE html>
<html lang='en'>
<head>
<title>geoclue-config.patch « patches « packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/geoclue-config.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='9a141b5bd633227ea31776b9ce7ca40928de2442'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=ff777165cb7f82a3300cb97a05daf1641857ce04'>refs</a><a href='/guix/log/gnu/packages/patches/nvi-dbpagesize-binpower.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/nvi-dbpagesize-binpower.patch?id=ff777165cb7f82a3300cb97a05daf1641857ce04'>tree</a><a href='/guix/commit/gnu/packages/patches/nvi-dbpagesize-binpower.patch?id=ff777165cb7f82a3300cb97a05daf1641857ce04'>commit</a><a href='/guix/diff/gnu/packages/patches/nvi-dbpagesize-binpower.patch?id=ff777165cb7f82a3300cb97a05daf1641857ce04'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/nvi-dbpagesize-binpower.patch'>
<input type='hidden' name='id' value='ff777165cb7f82a3300cb97a05daf1641857ce04'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=ff777165cb7f82a3300cb97a05daf1641857ce04'>root</a>/<a href='/guix/tree/gnu?id=ff777165cb7f82a3300cb97a05daf1641857ce04'>gnu</a>/<a href='/guix/tree/gnu/packages?id=ff777165cb7f82a3300cb97a05daf1641857ce04'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=ff777165cb7f82a3300cb97a05daf1641857ce04'>patches</a>/<a href='/guix/tree/gnu/packages/patches/nvi-dbpagesize-binpower.patch?id=ff777165cb7f82a3300cb97a05daf1641857ce04'>nvi-dbpagesize-binpower.patch</a></div><div class='content'>blob: 7dde693351b55d8091e0b295b6f77e1e5cba524e (<a href='/guix/about/gnu/packages/patches/nvi-dbpagesize-binpower.patch?id=ff777165cb7f82a3300cb97a05daf1641857ce04'>about</a>) (<a href='/guix/plain/gnu/packages/patches/nvi-dbpagesize-binpower.patch?id=ff777165cb7f82a3300cb97a05daf1641857ce04'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
</pre></td>
<td class='lines'><pre><code>This patch originates from the Debian project, see https://www.debian.org/

18dbpagesize_binpower.dpatch by  &lt;hesso@pool.math.tu-berlin.de&gt;


Make sure that the pagesize passed to db__set_pagesize() is a power of two.

nvi stores the content of files in BDB database structures. When initiating a
file, it picks a page size for the database to fit the file within 15 pages,
with a minimal page size of 1K and maximal of 10K.

In vanilla nvi, this size is calculated as a multiple of 1024. Modern versions
of BDB, however, require the page size of a database to be a power of two, which
this patch addresses, ridding us of the following message:

  BDB0511 page sizes must be a power-of-2

--- nvi-1.81.6.orig/common/exf.c	2009-03-09 01:48:01.695862889 +0100
+++ nvi-1.81.6/common/exf.c	2009-03-09 10:42:41.147866272 +0100
@@ -249,11 +249,10 @@
 		 * (vi should have good locality) or smaller than 1K.
 		 */
 		psize = ((sb.st_size / 15) + 1023) / 1024;
-		if (psize &gt; 10)
-			psize = 10;
-		if (psize == 0)
-			psize = 1;
-		psize *= 1024;
+		if (psize &gt;= 8) psize=8&lt;&lt;10;
+		else if (psize &gt;= 4) psize=4&lt;&lt;10;
+		else if (psize &gt;= 2) psize=2&lt;&lt;10;
+		else psize=1&lt;&lt;10;
 
 		F_SET(ep, F_DEVSET);
 		ep-&gt;mdev = sb.st_dev;
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>