<!DOCTYPE html>
<html lang='en'>
<head>
<title>gnu: gnunet: Use 'modify-phases'. - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/README?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='90d8ef6bcb2b1216458ba7a99bb33947538e4461'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=162048be3b838e221e5256b0f670ac6f884f607a'>refs</a><a href='/guix/log/gnu/packages/patches/ocaml-dose3-add-unix-dependency.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/ocaml-dose3-add-unix-dependency.patch?id=162048be3b838e221e5256b0f670ac6f884f607a'>tree</a><a href='/guix/commit/gnu/packages/patches/ocaml-dose3-add-unix-dependency.patch?id=162048be3b838e221e5256b0f670ac6f884f607a'>commit</a><a href='/guix/diff/gnu/packages/patches/ocaml-dose3-add-unix-dependency.patch?id=162048be3b838e221e5256b0f670ac6f884f607a'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/ocaml-dose3-add-unix-dependency.patch'>
<input type='hidden' name='id' value='162048be3b838e221e5256b0f670ac6f884f607a'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=162048be3b838e221e5256b0f670ac6f884f607a'>root</a>/<a href='/guix/tree/gnu?id=162048be3b838e221e5256b0f670ac6f884f607a'>gnu</a>/<a href='/guix/tree/gnu/packages?id=162048be3b838e221e5256b0f670ac6f884f607a'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=162048be3b838e221e5256b0f670ac6f884f607a'>patches</a>/<a href='/guix/tree/gnu/packages/patches/ocaml-dose3-add-unix-dependency.patch?id=162048be3b838e221e5256b0f670ac6f884f607a'>ocaml-dose3-add-unix-dependency.patch</a></div><div class='content'>blob: d2cc44c7840af6b482e5b80063a452dd985142c8 (<a href='/guix/about/gnu/packages/patches/ocaml-dose3-add-unix-dependency.patch?id=162048be3b838e221e5256b0f670ac6f884f607a'>about</a>) (<a href='/guix/plain/gnu/packages/patches/ocaml-dose3-add-unix-dependency.patch?id=162048be3b838e221e5256b0f670ac6f884f607a'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
</pre></td>
<td class='lines'><pre><code>From b94cf24739818e5aff397e0a83b19ea32dc81f42 Mon Sep 17 00:00:00 2001
From: Louis Gesbert &lt;louis.gesbert@ocamlpro.com&gt;
Date: Tue, 6 Feb 2018 10:15:45 +0100
Subject: [PATCH 3/3] Add "unix" as dependency to dose3.common in META.in

---
 META.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/META.in b/META.in
index aa2cd8d..0f9d337 100644
--- a/META.in
+++ b/META.in
@@ -8,7 +8,7 @@ package "common" (
 version = "@PACKAGE_VERSION@"
 archive(byte) = "common.cma"
 archive(native) = "common.cmxa"
-requires = "extlib, re.pcre, cudf, @ZIP@, @BZ2@"
+requires = "extlib, re.pcre, cudf, unix, @ZIP@, @BZ2@"
 )
 
 package "algo" (
-- 
2.11.0

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>