<!DOCTYPE html>
<html lang='en'>
<head>
<title>doxygen-test.patch « patches « packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/doxygen-test.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='268b3802e9bb5336b087039d75eb0db7280f156f'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=af012922776cc249be45604aa295ac086a243473'>refs</a><a href='/guix/log/gnu/packages/patches/opensmtpd-fix-crash.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/opensmtpd-fix-crash.patch?id=af012922776cc249be45604aa295ac086a243473'>tree</a><a href='/guix/commit/gnu/packages/patches/opensmtpd-fix-crash.patch?id=af012922776cc249be45604aa295ac086a243473'>commit</a><a href='/guix/diff/gnu/packages/patches/opensmtpd-fix-crash.patch?id=af012922776cc249be45604aa295ac086a243473'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/opensmtpd-fix-crash.patch'>
<input type='hidden' name='id' value='af012922776cc249be45604aa295ac086a243473'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=af012922776cc249be45604aa295ac086a243473'>root</a>/<a href='/guix/tree/gnu?id=af012922776cc249be45604aa295ac086a243473'>gnu</a>/<a href='/guix/tree/gnu/packages?id=af012922776cc249be45604aa295ac086a243473'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=af012922776cc249be45604aa295ac086a243473'>patches</a>/<a href='/guix/tree/gnu/packages/patches/opensmtpd-fix-crash.patch?id=af012922776cc249be45604aa295ac086a243473'>opensmtpd-fix-crash.patch</a></div><div class='content'>blob: 003016753366c986ae6b3e90589f14dea824d7f0 (<a href='/guix/about/gnu/packages/patches/opensmtpd-fix-crash.patch?id=af012922776cc249be45604aa295ac086a243473'>about</a>) (<a href='/guix/plain/gnu/packages/patches/opensmtpd-fix-crash.patch?id=af012922776cc249be45604aa295ac086a243473'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
</pre></td>
<td class='lines'><pre><code>From 9b5f70b93e038df5446bd37a4adac5a0380748e7 Mon Sep 17 00:00:00 2001
From: johannes &lt;johannes.brechtmann@gmail.com&gt;
Date: Wed, 21 Feb 2018 23:57:11 +0100
Subject: [PATCH] crypt_checkpass: include HAVE_CRYPT_H definition, add NULL
 check

---
 openbsd-compat/crypt_checkpass.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/openbsd-compat/crypt_checkpass.c b/openbsd-compat/crypt_checkpass.c
index dafd2dae..d10b3a57 100644
--- a/openbsd-compat/crypt_checkpass.c
+++ b/openbsd-compat/crypt_checkpass.c
@@ -1,5 +1,6 @@
 /* OPENBSD ORIGINAL: lib/libc/crypt/cryptutil.c */
 
+#include "includes.h"
 #include &lt;errno.h&gt;
 #ifdef HAVE_CRYPT_H
 #include &lt;crypt.h&gt;
@@ -10,6 +11,8 @@
 int
 crypt_checkpass(const char *pass, const char *goodhash)
 {
+	char *c;
+
 	if (goodhash == NULL)
 		goto fail;
 
@@ -17,7 +20,11 @@ crypt_checkpass(const char *pass, const char *goodhash)
 	if (strlen(goodhash) == 0 &amp;&amp; strlen(pass) == 0)
 		return 0;
 
-	if (strcmp(crypt(pass, goodhash), goodhash) == 0)
+	c = crypt(pass, goodhash);
+	if (c == NULL)
+		goto fail;
+
+	if (strcmp(c, goodhash) == 0)
 		return 0;
 
 fail:

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>