<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='dbe607925a32f0dfc47550a4ddc3ec15bcb1115e'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>mit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=dbe607925a32f0dfc47550a4ddc3ec15bcb1115e'>refs</a><a href='/guix/log/gnu/packages/patches/patchutils-test-perms.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/patchutils-test-perms.patch?id=dbe607925a32f0dfc47550a4ddc3ec15bcb1115e'>tree</a><a href='/guix/commit/gnu/packages/patches/patchutils-test-perms.patch?id=dbe607925a32f0dfc47550a4ddc3ec15bcb1115e'>commit</a><a href='/guix/diff/gnu/packages/patches/patchutils-test-perms.patch?id=dbe607925a32f0dfc47550a4ddc3ec15bcb1115e'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/patchutils-test-perms.patch'>
<input type='hidden' name='id' value='dbe607925a32f0dfc47550a4ddc3ec15bcb1115e'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=dbe607925a32f0dfc47550a4ddc3ec15bcb1115e'>root</a>/<a href='/guix/tree/gnu?id=dbe607925a32f0dfc47550a4ddc3ec15bcb1115e'>gnu</a>/<a href='/guix/tree/gnu/packages?id=dbe607925a32f0dfc47550a4ddc3ec15bcb1115e'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=dbe607925a32f0dfc47550a4ddc3ec15bcb1115e'>patches</a>/<a href='/guix/tree/gnu/packages/patches/patchutils-test-perms.patch?id=dbe607925a32f0dfc47550a4ddc3ec15bcb1115e'>patchutils-test-perms.patch</a></div><div class='content'>blob: c7652b9af2ba3662078ce45306a36b845401ca10 (<a href='/guix/about/gnu/packages/patches/patchutils-test-perms.patch?id=dbe607925a32f0dfc47550a4ddc3ec15bcb1115e'>about</a>) (<a href='/guix/plain/gnu/packages/patches/patchutils-test-perms.patch?id=dbe607925a32f0dfc47550a4ddc3ec15bcb1115e'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
</pre></td>
<td class='lines'><pre><code>Need to mark one of the tests as PHONY to get permissions set correctly on
built scripts.

--- a/Makefile.in	2011-02-10 09:44:43.000000000 -0600
+++ b/Makefile.in	2018-11-29 21:52:05.000000000 -0600
@@ -1106,5 +1108,6 @@
 	rm -f $(DESTDIR)$(bindir)/"`echo lsdiff|sed '$(transform)'`"
 	rm -f $(DESTDIR)$(bindir)/"`echo grepdiff|sed '$(transform)'`"
 
+.PHONY: tests/newline1/run-test
 tests/newline1/run-test: src/combinediff$(EXEEXT) src/flipdiff$(EXEEXT) \
 		src/lsdiff$(EXEEXT) src/grepdiff$(EXEEXT) \
		scripts/splitdiff

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>