Last-Modified: Mon, 14 Oct 2024 14:30:40 GMT
Expires: Thu, 12 Oct 2034 14:30:40 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/gimp.scm?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='58c1806908117e6b83eb58dd6702cc889d21c133'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>s</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=acdb42e5d09a504d521d8b632c2c4a66d70f94e4'>refs</a><a href='/guix/log/gnu/packages/patches/perl-5.14-autosplit-default-time.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/perl-5.14-autosplit-default-time.patch?id=acdb42e5d09a504d521d8b632c2c4a66d70f94e4'>tree</a><a href='/guix/commit/gnu/packages/patches/perl-5.14-autosplit-default-time.patch?id=acdb42e5d09a504d521d8b632c2c4a66d70f94e4'>commit</a><a href='/guix/diff/gnu/packages/patches/perl-5.14-autosplit-default-time.patch?id=acdb42e5d09a504d521d8b632c2c4a66d70f94e4'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/perl-5.14-autosplit-default-time.patch'>
<input type='hidden' name='id' value='acdb42e5d09a504d521d8b632c2c4a66d70f94e4'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=acdb42e5d09a504d521d8b632c2c4a66d70f94e4'>root</a>/<a href='/guix/tree/gnu?id=acdb42e5d09a504d521d8b632c2c4a66d70f94e4'>gnu</a>/<a href='/guix/tree/gnu/packages?id=acdb42e5d09a504d521d8b632c2c4a66d70f94e4'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=acdb42e5d09a504d521d8b632c2c4a66d70f94e4'>patches</a>/<a href='/guix/tree/gnu/packages/patches/perl-5.14-autosplit-default-time.patch?id=acdb42e5d09a504d521d8b632c2c4a66d70f94e4'>perl-5.14-autosplit-default-time.patch</a></div><div class='content'>blob: e801ac9bfe04550c1ec2db56cb8456a4962c2d36 (<a href='/guix/about/gnu/packages/patches/perl-5.14-autosplit-default-time.patch?id=acdb42e5d09a504d521d8b632c2c4a66d70f94e4'>about</a>) (<a href='/guix/plain/gnu/packages/patches/perl-5.14-autosplit-default-time.patch?id=acdb42e5d09a504d521d8b632c2c4a66d70f94e4'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
</pre></td>
<td class='lines'><pre><code>AutoSplit will fail to create an index for files whose modification time is 0
because its default time for a non-existent index is 1.  Set this default time
to -1 instead.

--- perl-5.16.1/cpan/AutoLoader/lib/AutoSplit.pm.orig	2012-02-14 22:44:36.000000000 -0600
+++ perl-5.16.1/cpan/AutoLoader/lib/AutoSplit.pm	2015-09-09 19:59:22.208708921 -0500
@@ -361,7 +361,7 @@
     my($al_idx_file) = catfile($autodir, $modpname, $IndexFile);
 
     if ($check_mod_time){
-	my($al_ts_time) = (stat("$al_idx_file"))[9] || 1;
+	my($al_ts_time) = (stat("$al_idx_file"))[9] || -1;
 	if ($al_ts_time &gt;= $pm_mod_time and
 	    $al_ts_time &gt;= $self_mod_time){
 	    print "AutoSplit skipped ($al_idx_file newer than $filename)\n"
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>