<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/etc/hurd-manifest.scm?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='257fe883e68ab3f2446f2c2c42e5f23479be4394'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>zko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=6958eb58e9b26e9f3172c40e8115667c9167d05d'>refs</a><a href='/guix/log/gnu/packages/patches/perl-finance-quote-unuse-mozilla-ca.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/perl-finance-quote-unuse-mozilla-ca.patch?id=6958eb58e9b26e9f3172c40e8115667c9167d05d'>tree</a><a href='/guix/commit/gnu/packages/patches/perl-finance-quote-unuse-mozilla-ca.patch?id=6958eb58e9b26e9f3172c40e8115667c9167d05d'>commit</a><a href='/guix/diff/gnu/packages/patches/perl-finance-quote-unuse-mozilla-ca.patch?id=6958eb58e9b26e9f3172c40e8115667c9167d05d'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/perl-finance-quote-unuse-mozilla-ca.patch'>
<input type='hidden' name='id' value='6958eb58e9b26e9f3172c40e8115667c9167d05d'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=6958eb58e9b26e9f3172c40e8115667c9167d05d'>root</a>/<a href='/guix/tree/gnu?id=6958eb58e9b26e9f3172c40e8115667c9167d05d'>gnu</a>/<a href='/guix/tree/gnu/packages?id=6958eb58e9b26e9f3172c40e8115667c9167d05d'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=6958eb58e9b26e9f3172c40e8115667c9167d05d'>patches</a>/<a href='/guix/tree/gnu/packages/patches/perl-finance-quote-unuse-mozilla-ca.patch?id=6958eb58e9b26e9f3172c40e8115667c9167d05d'>perl-finance-quote-unuse-mozilla-ca.patch</a></div><div class='content'>blob: 5f37bb0ba785e9e8ff9330226762e5d312625355 (<a href='/guix/about/gnu/packages/patches/perl-finance-quote-unuse-mozilla-ca.patch?id=6958eb58e9b26e9f3172c40e8115667c9167d05d'>about</a>) (<a href='/guix/plain/gnu/packages/patches/perl-finance-quote-unuse-mozilla-ca.patch?id=6958eb58e9b26e9f3172c40e8115667c9167d05d'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
</pre></td>
<td class='lines'><pre><code>Rather than unconditionally using Mozilla's CA certificates, let the user tell
LWP's UserAgent where to find certificates with the PERL_LWP_SSL_CA_FILE,
HTTPS_CA_FILE, PERL_LWP_SSL_CA_PATH, or HTTPS_CA_DIR environment variables
instead.

--- Finance-Quote-1.37/lib/Finance/Quote/Tiaacref.pm.orig	2015-02-01 13:24:41.000000000 -0600
+++ Finance-Quote-1.37/lib/Finance/Quote/Tiaacref.pm	2015-07-07 20:09:47.278885944 -0500
@@ -30,7 +30,6 @@
 package Finance::Quote::Tiaacref;
 require 5.005;
 require LWP::Protocol::https;
-require Mozilla::CA;
 
 use strict;
 
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>