<!DOCTYPE html>
<html lang='en'>
<head>
<title>erlang-man-path.patch « patches « packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/erlang-man-path.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='1f7d94597f1e78776f854eeca46c03a3aded8466'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>t'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=75b803ffa99072543577653c3b69c79f928c6c0e'>refs</a><a href='/guix/log/gnu/packages/patches/pinball-src-deps.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/pinball-src-deps.patch?id=75b803ffa99072543577653c3b69c79f928c6c0e'>tree</a><a href='/guix/commit/gnu/packages/patches/pinball-src-deps.patch?id=75b803ffa99072543577653c3b69c79f928c6c0e'>commit</a><a href='/guix/diff/gnu/packages/patches/pinball-src-deps.patch?id=75b803ffa99072543577653c3b69c79f928c6c0e'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/pinball-src-deps.patch'>
<input type='hidden' name='id' value='75b803ffa99072543577653c3b69c79f928c6c0e'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=75b803ffa99072543577653c3b69c79f928c6c0e'>root</a>/<a href='/guix/tree/gnu?id=75b803ffa99072543577653c3b69c79f928c6c0e'>gnu</a>/<a href='/guix/tree/gnu/packages?id=75b803ffa99072543577653c3b69c79f928c6c0e'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=75b803ffa99072543577653c3b69c79f928c6c0e'>patches</a>/<a href='/guix/tree/gnu/packages/patches/pinball-src-deps.patch?id=75b803ffa99072543577653c3b69c79f928c6c0e'>pinball-src-deps.patch</a></div><div class='content'>blob: 3ab806bae9c7e96aee3bafd171c0d546b6dd4014 (<a href='/guix/about/gnu/packages/patches/pinball-src-deps.patch?id=75b803ffa99072543577653c3b69c79f928c6c0e'>about</a>) (<a href='/guix/plain/gnu/packages/patches/pinball-src-deps.patch?id=75b803ffa99072543577653c3b69c79f928c6c0e'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
</pre></td>
<td class='lines'><pre><code>Fixes error during make:

"No rule to make target '../src/libemilia_pin.a', needed by 'pinball'.  Stop."

--- pinball-0.3.1/src/Makefile.in	2003-12-10 05:34:47.000000000 -0600
+++ pinball-0.3.1/src/Makefile.in	2016-01-31 22:29:13.134519889 -0600
@@ -116,7 +116,7 @@
 
 INCLUDES = -I../base -I../addon @INCLTDL@
 
-pinball_LDADD = ../src/libemilia_pin.a ../addon/libemilia_addon.a ../base/libemilia_base.a @LIBLTDL@
+pinball_LDADD = libemilia_pin.a ../addon/libemilia_addon.a ../base/libemilia_base.a @LIBLTDL@
 pinball_LDFLAGS = -export-dynamic
 
 pinball_SOURCES = Pinball.cpp
@@ -174,7 +174,7 @@
 
 am_pinball_OBJECTS = Pinball.$(OBJEXT)
 pinball_OBJECTS = $(am_pinball_OBJECTS)
-pinball_DEPENDENCIES = ../src/libemilia_pin.a ../addon/libemilia_addon.a \
+pinball_DEPENDENCIES = libemilia_pin.a ../addon/libemilia_addon.a \
 	../base/libemilia_base.a
 
 DEFS = @DEFS@
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>