<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/ola-readdir-r.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='1a0dd01bf913d505c46e865b96057b5c1178640c'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>r>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=1a0dd01bf913d505c46e865b96057b5c1178640c'>refs</a><a href='/guix/log/gnu/packages/patches/pixman-CVE-2016-5296.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/pixman-CVE-2016-5296.patch?id=1a0dd01bf913d505c46e865b96057b5c1178640c'>tree</a><a href='/guix/commit/gnu/packages/patches/pixman-CVE-2016-5296.patch?id=1a0dd01bf913d505c46e865b96057b5c1178640c'>commit</a><a href='/guix/diff/gnu/packages/patches/pixman-CVE-2016-5296.patch?id=1a0dd01bf913d505c46e865b96057b5c1178640c'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/pixman-CVE-2016-5296.patch'>
<input type='hidden' name='id' value='1a0dd01bf913d505c46e865b96057b5c1178640c'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=1a0dd01bf913d505c46e865b96057b5c1178640c'>root</a>/<a href='/guix/tree/gnu?id=1a0dd01bf913d505c46e865b96057b5c1178640c'>gnu</a>/<a href='/guix/tree/gnu/packages?id=1a0dd01bf913d505c46e865b96057b5c1178640c'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=1a0dd01bf913d505c46e865b96057b5c1178640c'>patches</a>/<a href='/guix/tree/gnu/packages/patches/pixman-CVE-2016-5296.patch?id=1a0dd01bf913d505c46e865b96057b5c1178640c'>pixman-CVE-2016-5296.patch</a></div><div class='content'>blob: 21942326ae99854b1038c56c8b01ed618d13d396 (<a href='/guix/about/gnu/packages/patches/pixman-CVE-2016-5296.patch?id=1a0dd01bf913d505c46e865b96057b5c1178640c'>about</a>) (<a href='/guix/plain/gnu/packages/patches/pixman-CVE-2016-5296.patch?id=1a0dd01bf913d505c46e865b96057b5c1178640c'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
</pre></td>
<td class='lines'><pre><code>Fix CVE-2016-5296: Heap-buffer-overflow WRITE in rasterize_edges_1
Adapted for upstream pixman based on:

  https://hg.mozilla.org/releases/mozilla-esr45/rev/5e39c1c2fded

--- pixman-0.34.0/pixman/pixman-edge-imp.h.orig	2015-06-30 05:48:31.000000000 -0400
+++ pixman-0.34.0/pixman/pixman-edge-imp.h	2016-11-16 01:09:34.046335106 -0500
@@ -55,8 +55,9 @@
 	 *
 	 * (The AA case does a similar  adjustment in RENDER_SAMPLES_X)
 	 */
-	lx += X_FRAC_FIRST(1) - pixman_fixed_e;
-	rx += X_FRAC_FIRST(1) - pixman_fixed_e;
+	/* we cast to unsigned to get defined behaviour for overflow */
+	lx = (unsigned)lx + X_FRAC_FIRST(1) - pixman_fixed_e;
+	rx = (unsigned)rx + X_FRAC_FIRST(1) - pixman_fixed_e;
 #endif
 	/* clip X */
 	if (lx &lt; 0)
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>