<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/p&lt;tr&gt;&lt;td&gt;&lt;span title=?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='4b9a950a209eb36cce1a74ec709810b2a9937485'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>ub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>refs</a><a href='/guix/log/gnu/packages/patches/pyqt-public-sip.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/pyqt-public-sip.patch?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>tree</a><a href='/guix/commit/gnu/packages/patches/pyqt-public-sip.patch?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>commit</a><a href='/guix/diff/gnu/packages/patches/pyqt-public-sip.patch?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/pyqt-public-sip.patch'>
<input type='hidden' name='id' value='cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>root</a>/<a href='/guix/tree/gnu?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>gnu</a>/<a href='/guix/tree/gnu/packages?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>patches</a>/<a href='/guix/tree/gnu/packages/patches/pyqt-public-sip.patch?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>pyqt-public-sip.patch</a></div><div class='content'>blob: 44cdcb6371b9d730c99aa245e3de114d9ebbb224 (<a href='/guix/about/gnu/packages/patches/pyqt-public-sip.patch?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>about</a>) (<a href='/guix/plain/gnu/packages/patches/pyqt-public-sip.patch?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
</pre></td>
<td class='lines'><pre><code>https://sources.debian.org/data/main/p/pyqt5/5.11.3+dfsg-1/debian/patches/public_sip.diff

From: Dmitry Shachnev &lt;mitya57@debian.org&gt;
Date: Tue, 3 Jul 2018 09:46:42 +0300
Subject: Use the public version of sip module

Per https://www.debian.org/doc/debian-policy/#convenience-copies-of-code.
---
 configure.py              | 2 +-
 designer/pluginloader.cpp | 2 +-
 qmlscene/pluginloader.cpp | 4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/configure.py b/configure.py
index 32d03a0..3c43a14 100644
--- a/configure.py
+++ b/configure.py
@@ -2440,7 +2440,7 @@ def get_sip_flags(target_config):
     the target configuration.
     """
 
-    sip_flags = ['-n', 'PyQt5.sip']
+    sip_flags = ['-n', 'sip']
 
     # If we don't check for signed interpreters, we exclude the 'VendorID'
     # feature
diff --git a/designer/pluginloader.cpp b/designer/pluginloader.cpp
index f41d391..3ca8b11 100644
--- a/designer/pluginloader.cpp
+++ b/designer/pluginloader.cpp
@@ -167,7 +167,7 @@ bool PyCustomWidgets::importPlugins(const QString &amp;dir, const QStringList &amp;plugi
     // Make sure we have sip.unwrapinstance.
     if (!sip_unwrapinstance)
     {
-        sip_unwrapinstance = getModuleAttr("PyQt5.sip", "unwrapinstance");
+        sip_unwrapinstance = getModuleAttr("sip", "unwrapinstance");
 
         if (!sip_unwrapinstance)
             return true;
diff --git a/qmlscene/pluginloader.cpp b/qmlscene/pluginloader.cpp
index e14b946..140e80c 100644
--- a/qmlscene/pluginloader.cpp
+++ b/qmlscene/pluginloader.cpp
@@ -412,9 +412,9 @@ PyObject *PyQt5QmlPlugin::getModuleAttr(const char *module, const char *attr)
 void PyQt5QmlPlugin::getSipAPI()
 {
 #if defined(SIP_USE_PYCAPSULE)
-    sip = (const sipAPIDef *)PyCapsule_Import("PyQt5.sip._C_API", 0);
+    sip = (const sipAPIDef *)PyCapsule_Import("sip._C_API", 0);
 #else
-    PyObject *c_api = getModuleAttr("PyQt5.sip", "_C_API");
+    PyObject *c_api = getModuleAttr("sip", "_C_API");
 
     if (c_api)
     {
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>