<!DOCTYPE html>
<html lang='en'>
<head>
<title>gtk3-respect-GUIX_GTK3_PATH.patch « patches « packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/gtk3-respect-GUIX_GTK3_PATH.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='d726b954baaeff876ce9728e00920fa45f529f9a'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>t'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=d726b954baaeff876ce9728e00920fa45f529f9a'>refs</a><a href='/guix/log/gnu/packages/patches/python-cairocffi-dlopen-path.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/python-cairocffi-dlopen-path.patch?id=d726b954baaeff876ce9728e00920fa45f529f9a'>tree</a><a href='/guix/commit/gnu/packages/patches/python-cairocffi-dlopen-path.patch?id=d726b954baaeff876ce9728e00920fa45f529f9a'>commit</a><a href='/guix/diff/gnu/packages/patches/python-cairocffi-dlopen-path.patch?id=d726b954baaeff876ce9728e00920fa45f529f9a'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/python-cairocffi-dlopen-path.patch'>
<input type='hidden' name='id' value='d726b954baaeff876ce9728e00920fa45f529f9a'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=d726b954baaeff876ce9728e00920fa45f529f9a'>root</a>/<a href='/guix/tree/gnu?id=d726b954baaeff876ce9728e00920fa45f529f9a'>gnu</a>/<a href='/guix/tree/gnu/packages?id=d726b954baaeff876ce9728e00920fa45f529f9a'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=d726b954baaeff876ce9728e00920fa45f529f9a'>patches</a>/<a href='/guix/tree/gnu/packages/patches/python-cairocffi-dlopen-path.patch?id=d726b954baaeff876ce9728e00920fa45f529f9a'>python-cairocffi-dlopen-path.patch</a></div><div class='content'>blob: e7a7fe37370aacc57150e26edf25ec62d013215e (<a href='/guix/about/gnu/packages/patches/python-cairocffi-dlopen-path.patch?id=d726b954baaeff876ce9728e00920fa45f529f9a'>about</a>) (<a href='/guix/plain/gnu/packages/patches/python-cairocffi-dlopen-path.patch?id=d726b954baaeff876ce9728e00920fa45f529f9a'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
</pre></td>
<td class='lines'><pre><code>--- cairocffi-0.8.0/cairocffi/__init__.py.orig	2018-07-16 11:00:59.075664158 +0200
+++ cairocffi-0.8.0/cairocffi/__init__.py	2018-07-16 17:09:42.471958015 +0200
@@ -35,6 +35,7 @@
                         return lib
             except OSError:
                 pass
+        return ffi.dlopen(name)
     raise OSError("dlopen() failed to load a library: %s" % ' / '.join(names))
 
 
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>