<!DOCTYPE html>
<html lang='en'>
<head>
<title>gnu: avahi: Do not build the static libraries. - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/gcc-4.6-gnu-inline.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='32b089f4f4e86a32bb34c2c7983be5dbe9603784'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='</td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=79765b40fd9b4921b531284c589ace8a2c89a6ea'>refs</a><a href='/guix/log/gnu/packages/patches/python-scikit-optimize-1148.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/python-scikit-optimize-1148.patch?id=79765b40fd9b4921b531284c589ace8a2c89a6ea'>tree</a><a href='/guix/commit/gnu/packages/patches/python-scikit-optimize-1148.patch?id=79765b40fd9b4921b531284c589ace8a2c89a6ea'>commit</a><a href='/guix/diff/gnu/packages/patches/python-scikit-optimize-1148.patch?id=79765b40fd9b4921b531284c589ace8a2c89a6ea'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/python-scikit-optimize-1148.patch'>
<input type='hidden' name='id' value='79765b40fd9b4921b531284c589ace8a2c89a6ea'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=79765b40fd9b4921b531284c589ace8a2c89a6ea'>root</a>/<a href='/guix/tree/gnu?id=79765b40fd9b4921b531284c589ace8a2c89a6ea'>gnu</a>/<a href='/guix/tree/gnu/packages?id=79765b40fd9b4921b531284c589ace8a2c89a6ea'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=79765b40fd9b4921b531284c589ace8a2c89a6ea'>patches</a>/<a href='/guix/tree/gnu/packages/patches/python-scikit-optimize-1148.patch?id=79765b40fd9b4921b531284c589ace8a2c89a6ea'>python-scikit-optimize-1148.patch</a></div><div class='content'>blob: 6ad854ab1e4e915de5f2781d10a327baf5076960 (<a href='/guix/about/gnu/packages/patches/python-scikit-optimize-1148.patch?id=79765b40fd9b4921b531284c589ace8a2c89a6ea'>about</a>) (<a href='/guix/plain/gnu/packages/patches/python-scikit-optimize-1148.patch?id=79765b40fd9b4921b531284c589ace8a2c89a6ea'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
</pre></td>
<td class='lines'><pre><code>From 3a5d5eb90ec9d8d4905c05387748486157cadbbb Mon Sep 17 00:00:00 2001
From: valtron &lt;valtron2000@gmail.com&gt;
Date: Tue, 14 Feb 2023 09:56:10 -0700
Subject: [PATCH] `np.int` -&gt; `int`

`np.int is int` and it was deprecated in numpy 1.20: https://numpy.org/doc/1.20/release/1.20.0-notes.html#deprecations
---
 skopt/space/transformers.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/skopt/space/transformers.py b/skopt/space/transformers.py
index 68892952..f2dfb164 100644
--- a/skopt/space/transformers.py
+++ b/skopt/space/transformers.py
@@ -259,7 +259,7 @@ def transform(self, X):
         if (self.high - self.low) == 0.:
             return X * 0.
         if self.is_int:
-            return (np.round(X).astype(np.int) - self.low) /\
+            return (np.round(X).astype(int) - self.low) /\
                    (self.high - self.low)
         else:
             return (X - self.low) / (self.high - self.low)
@@ -272,7 +272,7 @@ def inverse_transform(self, X):
             raise ValueError("All values should be greater than 0.0")
         X_orig = X * (self.high - self.low) + self.low
         if self.is_int:
-            return np.round(X_orig).astype(np.int)
+            return np.round(X_orig).astype(int)
         return X_orig
 
 
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
s='commit-msg'>* gnu/packages/avahi.scm (avahi)[arguments]: Add "--disable-static" to
 #:configure-flags.
</div><div class='diffstat-header'><a href='/guix/diff/?id=32b089f4f4e86a32bb34c2c7983be5dbe9603784'>Diffstat</a> (limited to 'gnu/packages/patches/gcc-4.6-gnu-inline.patch')</div><table summary='diffstat' class='diffstat'></table><div class='diffstat-summary'>0 files changed, 0 insertions, 0 deletions</div><table summary='diff' class='diff'><tr><td></td></tr></table></div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>