<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='f273cf58439b6fc6800a28218749ba710e4594a7'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>refs</a><a href='/guix/log/gnu/packages/patches/rust-ndarray-remove-blas-src-dep.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/rust-ndarray-remove-blas-src-dep.patch?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>tree</a><a href='/guix/commit/gnu/packages/patches/rust-ndarray-remove-blas-src-dep.patch?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>commit</a><a href='/guix/diff/gnu/packages/patches/rust-ndarray-remove-blas-src-dep.patch?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/rust-ndarray-remove-blas-src-dep.patch'>
<input type='hidden' name='id' value='a8c1d812a030f07dbc22afa12f82539c3152a9e2'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>root</a>/<a href='/guix/tree/gnu?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>gnu</a>/<a href='/guix/tree/gnu/packages?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>patches</a>/<a href='/guix/tree/gnu/packages/patches/rust-ndarray-remove-blas-src-dep.patch?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>rust-ndarray-remove-blas-src-dep.patch</a></div><div class='content'>blob: 7221fdd608a53c907df34b8518e927606ce308b9 (<a href='/guix/about/gnu/packages/patches/rust-ndarray-remove-blas-src-dep.patch?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>about</a>) (<a href='/guix/plain/gnu/packages/patches/rust-ndarray-remove-blas-src-dep.patch?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
</pre></td>
<td class='lines'><pre><code>From ed09f3c91e915c3b436854a7936566edceb3e8de Mon Sep 17 00:00:00 2001
From: Efraim Flashner &lt;efraim@flashner.co.il&gt;
Date: Tue, 15 Dec 2020 10:09:45 +0200
Subject: [PATCH] remove blas-src dependency

---
 Cargo.toml | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

diff --git a/Cargo.toml b/Cargo.toml
index 1f3e1b6..36bc816 100644
--- a/Cargo.toml
+++ b/Cargo.toml
@@ -37,10 +37,6 @@ debug = true
 name = "ndarray"
 test = true
 bench = false
-[dependencies.blas-src]
-version = "0.2.0"
-optional = true
-default-features = false
 
 [dependencies.cblas-sys]
 version = "0.1.4"
@@ -78,7 +74,7 @@ default-features = false
 version = "0.1"
 
 [features]
-blas = ["cblas-sys", "blas-src"]
+blas = ["cblas-sys"]
 docs = ["rustc-serialize", "serde-1"]
 serde-1 = ["serde"]
 test = ["test-blas-openblas-sys"]
-- 
2.29.2

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>