<!DOCTYPE html>
<html lang='en'>
<head>
<title>audio.scm « tests « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/tests/audio.scm?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='3ecf9d44bb927fc88223a15431428cb741dd1c2c'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>put type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=a44569899a54d18a70b62498bec3774f0be3f66b'>refs</a><a href='/guix/log/gnu/packages/patches/rxvt-unicode-fix-cursor-position.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/rxvt-unicode-fix-cursor-position.patch?id=a44569899a54d18a70b62498bec3774f0be3f66b'>tree</a><a href='/guix/commit/gnu/packages/patches/rxvt-unicode-fix-cursor-position.patch?id=a44569899a54d18a70b62498bec3774f0be3f66b'>commit</a><a href='/guix/diff/gnu/packages/patches/rxvt-unicode-fix-cursor-position.patch?id=a44569899a54d18a70b62498bec3774f0be3f66b'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/rxvt-unicode-fix-cursor-position.patch'>
<input type='hidden' name='id' value='a44569899a54d18a70b62498bec3774f0be3f66b'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=a44569899a54d18a70b62498bec3774f0be3f66b'>root</a>/<a href='/guix/tree/gnu?id=a44569899a54d18a70b62498bec3774f0be3f66b'>gnu</a>/<a href='/guix/tree/gnu/packages?id=a44569899a54d18a70b62498bec3774f0be3f66b'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=a44569899a54d18a70b62498bec3774f0be3f66b'>patches</a>/<a href='/guix/tree/gnu/packages/patches/rxvt-unicode-fix-cursor-position.patch?id=a44569899a54d18a70b62498bec3774f0be3f66b'>rxvt-unicode-fix-cursor-position.patch</a></div><div class='content'>blob: 1905c4ccf67564844ef694a71d862f8d8877217e (<a href='/guix/about/gnu/packages/patches/rxvt-unicode-fix-cursor-position.patch?id=a44569899a54d18a70b62498bec3774f0be3f66b'>about</a>) (<a href='/guix/plain/gnu/packages/patches/rxvt-unicode-fix-cursor-position.patch?id=a44569899a54d18a70b62498bec3774f0be3f66b'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
<a id='n73' href='#n73'>73</a>
<a id='n74' href='#n74'>74</a>
<a id='n75' href='#n75'>75</a>
<a id='n76' href='#n76'>76</a>
<a id='n77' href='#n77'>77</a>
<a id='n78' href='#n78'>78</a>
<a id='n79' href='#n79'>79</a>
</pre></td>
<td class='lines'><pre><code>Fix a bug that causes the cursor position to be incorrect when opening
new terminals:

http://lists.schmorp.de/pipermail/rxvt-unicode/2023q1/002639.html
https://bugs.archlinux.org/task/77062
https://gitlab.alpinelinux.org/alpine/aports/-/issues/14525

This patches reverts all changes made to 'src/screen.C' in rxvt-unicode 9.31.

--- rxvt-unicode-9.31/src/screen.C	2022-08-08 06:33:08.000000000 -0400
+++ rxvt-unicode-9.30/src/screen.C	2021-07-02 23:55:47.000000000 -0400
@@ -293,7 +293,6 @@
 
       int common_col = min (prev_ncol, ncol);
 
-      // resize swap_buf, blank drawn_buf
       for (int row = min (nrow, prev_nrow); row--; )
         {
           scr_blank_screen_mem (drawn_buf [row], DEFAULT_RSTYLE);
@@ -307,7 +306,6 @@
       int pend = MOD (term_start + top_row  , prev_total_rows);
       int q    = total_rows; // rewrapped row
 
-#if ENABLE_FRILLS
       if ((rewrap_always || top_row) &amp;&amp; !rewrap_never)
         {
           // Re-wrap lines. This is rather ugly, possibly because I am too dumb
@@ -389,35 +387,36 @@
               scr_blank_line (*qline, qline-&gt;l, ncol - qline-&gt;l, DEFAULT_RSTYLE);
             }
           while (p != pend &amp;&amp; q &gt; 0);
+
+          term_start = total_rows - nrow;
+          top_row = q - term_start;
+
+          // make sure all terminal lines exist
+          while (top_row &gt; 0)
+            scr_blank_screen_mem (ROW (--top_row), DEFAULT_RSTYLE);
         }
       else
-#endif
         {
-          // wing, instead of wrap
-          screen.cur.row += nrow - prev_nrow;
+          // if no scrollback exists (yet), wing, instead of wrap
 
-          do
+          for (int row = min (nrow, prev_nrow); row--; )
             {
-              p = MOD (p - 1, prev_total_rows);
-              q--;
+              line_t &amp;src = prev_row_buf [MOD (term_start + row, prev_total_rows)];
+              line_t &amp;dst = row_buf [row];
 
-              copy_line (row_buf [q], prev_row_buf [p]);
+              copy_line (dst, src);
             }
-          while (p != pend &amp;&amp; q &gt; 0);
-        }
 
-      term_start = total_rows - nrow;
-      top_row = q - term_start;
+          for (int row = prev_nrow; row &lt; nrow; row++)
+            scr_blank_screen_mem (row_buf [row], DEFAULT_RSTYLE);
 
-      // make sure all terminal lines exist
-      while (top_row &gt; 0)
-        scr_blank_screen_mem (ROW (--top_row), DEFAULT_RSTYLE);
+          term_start = 0;
+        }
 
       clamp_it (screen.cur.row, 0, nrow - 1);
       clamp_it (screen.cur.col, 0, ncol - 1);
     }
 
-  // ensure drawn_buf, swap_buf and terminal rows are all initialized
   for (int row = nrow; row--; )
     {
       if (!ROW       (row).valid ()) scr_blank_screen_mem (ROW       (row), DEFAULT_RSTYLE);
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>