Last-Modified: Wed, 01 Jan 2025 08:19:09 GMT
Expires: Sat, 30 Dec 2034 08:19:09 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>hdf-eos2-build-shared.patch « patches « packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/hdf-eos2-build-shared.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='a44569899a54d18a70b62498bec3774f0be3f66b'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub righ</td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=a44569899a54d18a70b62498bec3774f0be3f66b'>refs</a><a href='/guix/log/gnu/packages/patches/screen-hurd-path-max.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/screen-hurd-path-max.patch?id=a44569899a54d18a70b62498bec3774f0be3f66b'>tree</a><a href='/guix/commit/gnu/packages/patches/screen-hurd-path-max.patch?id=a44569899a54d18a70b62498bec3774f0be3f66b'>commit</a><a href='/guix/diff/gnu/packages/patches/screen-hurd-path-max.patch?id=a44569899a54d18a70b62498bec3774f0be3f66b'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/screen-hurd-path-max.patch'>
<input type='hidden' name='id' value='a44569899a54d18a70b62498bec3774f0be3f66b'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=a44569899a54d18a70b62498bec3774f0be3f66b'>root</a>/<a href='/guix/tree/gnu?id=a44569899a54d18a70b62498bec3774f0be3f66b'>gnu</a>/<a href='/guix/tree/gnu/packages?id=a44569899a54d18a70b62498bec3774f0be3f66b'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=a44569899a54d18a70b62498bec3774f0be3f66b'>patches</a>/<a href='/guix/tree/gnu/packages/patches/screen-hurd-path-max.patch?id=a44569899a54d18a70b62498bec3774f0be3f66b'>screen-hurd-path-max.patch</a></div><div class='content'>blob: e906f154f389bc4388ffa3362e0a2953f2d14ae2 (<a href='/guix/about/gnu/packages/patches/screen-hurd-path-max.patch?id=a44569899a54d18a70b62498bec3774f0be3f66b'>about</a>) (<a href='/guix/plain/gnu/packages/patches/screen-hurd-path-max.patch?id=a44569899a54d18a70b62498bec3774f0be3f66b'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
</pre></td>
<td class='lines'><pre><code>Workaround for PATH_MAX usage on the Hurd.

Taken from https://salsa.debian.org/debian/screen/-/blob/master/debian/patches/61-default-PATH_MAX-if-undefined-for-hurd.patch

Description: Set PATH_MAX to 4096 if undefined
 Fixes FTBFS since 4.4.0 on GNU/Hurd. Updated to add one more occurrence for 4.5.0.
Author: Axel Beckert &lt;abe@debian.org&gt;
Bug: https://savannah.gnu.org/bugs/?50089
Last-Updated: 2017-01-18

--- a/tty.sh
+++ b/tty.sh
@@ -1478,6 +1478,13 @@
   return 0;
 }
 
+/*
+ * Define PATH_MAX to 4096 if it's not defined, like on GNU/Hurd
+ */
+
+#ifndef PATH_MAX
+#define PATH_MAX 4096
+#endif
 
 int CheckTtyname (char *tty)
 {
--- a/screen.h
+++ b/screen.h
@@ -109,6 +109,13 @@
 # define DEFAULT_BUFFERFILE	"/tmp/screen-exchange"
 #endif
 
+/*
+ * Define PATH_MAX to 4096 if it's not defined, like on GNU/Hurd
+ */
+
+#ifndef PATH_MAX
+#define PATH_MAX 4096
+#endif
 
 #if defined(hpux) &amp;&amp; !(defined(VSUSP) &amp;&amp; defined(VDSUSP) &amp;&amp; defined(VWERASE) &amp;&amp; defined(VLNEXT))
 # define HPUX_LTCHARS_HACK
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>