<!DOCTYPE html>
<html lang='en'>
<head>
<title>gnu: Add java-antlr4-runtime-4.1. - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/minisat-friend-declaration.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='57f6a915850692eeb9bd9685994358c007a50465'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>'s customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=a92c6b1a2b5b8b69f248c732db4a11ddf130f0f1'>refs</a><a href='/guix/log/gnu/packages/patches/stumpwm-fix-broken-read-one-line.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/stumpwm-fix-broken-read-one-line.patch?id=a92c6b1a2b5b8b69f248c732db4a11ddf130f0f1'>tree</a><a href='/guix/commit/gnu/packages/patches/stumpwm-fix-broken-read-one-line.patch?id=a92c6b1a2b5b8b69f248c732db4a11ddf130f0f1'>commit</a><a href='/guix/diff/gnu/packages/patches/stumpwm-fix-broken-read-one-line.patch?id=a92c6b1a2b5b8b69f248c732db4a11ddf130f0f1'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/stumpwm-fix-broken-read-one-line.patch'>
<input type='hidden' name='id' value='a92c6b1a2b5b8b69f248c732db4a11ddf130f0f1'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=a92c6b1a2b5b8b69f248c732db4a11ddf130f0f1'>root</a>/<a href='/guix/tree/gnu?id=a92c6b1a2b5b8b69f248c732db4a11ddf130f0f1'>gnu</a>/<a href='/guix/tree/gnu/packages?id=a92c6b1a2b5b8b69f248c732db4a11ddf130f0f1'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=a92c6b1a2b5b8b69f248c732db4a11ddf130f0f1'>patches</a>/<a href='/guix/tree/gnu/packages/patches/stumpwm-fix-broken-read-one-line.patch?id=a92c6b1a2b5b8b69f248c732db4a11ddf130f0f1'>stumpwm-fix-broken-read-one-line.patch</a></div><div class='content'>blob: f8dac613075cedd730f8560c95535d3803f888d6 (<a href='/guix/about/gnu/packages/patches/stumpwm-fix-broken-read-one-line.patch?id=a92c6b1a2b5b8b69f248c732db4a11ddf130f0f1'>about</a>) (<a href='/guix/plain/gnu/packages/patches/stumpwm-fix-broken-read-one-line.patch?id=a92c6b1a2b5b8b69f248c732db4a11ddf130f0f1'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
</pre></td>
<td class='lines'><pre><code>From a13db62a4da06426cf2eb2376d1a3723b5ee52d5 Mon Sep 17 00:00:00 2001
From: Vasily Postnicov &lt;shamaz.mazum@gmail.com&gt;
Date: Fri, 14 Dec 2018 20:01:53 +0300
Subject: [PATCH] READ-ONE-LINE: Turn COMPLETIONS into a keyword argument

This keeps READ-ONE-line backwards compatible to changes prior
dae0422811771d179077b9336618f2b19be85b7b. Currently both
ARGUMENT-POP-OR-READ and ARGUMENT-POP-REST-OR-READ are still being
called with the previous lambda list. Update the calls to the
READ-ONE-LINE that used the 'new' lambda list, COMPLETING-READ and
YES-OR-NO-P.

Closes #538
---
 input.lisp | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/input.lisp b/input.lisp
index b698a368..7904b35f 100644
--- a/input.lisp
+++ b/input.lisp
@@ -307,10 +307,13 @@ passed the substring to complete on and is expected to return a list
 of matches. If require-match argument is non-nil then the input must
 match with an element of the completions."
   (check-type completions (or list function symbol))
-  (let ((line (read-one-line screen prompt completions :initial-input initial-input :require-match require-match)))
+  (let ((line (read-one-line screen prompt
+                             :completions completions
+                             :initial-input initial-input
+                             :require-match require-match)))
     (when line (string-trim " " line))))
 
-(defun read-one-line (screen prompt completions &amp;key (initial-input "") require-match password)
+(defun read-one-line (screen prompt &amp;key completions (initial-input "") require-match password)
   "Read a line of input through stumpwm and return it. Returns nil if the user aborted."
   (let ((*input-last-command* nil)
         (*input-completions* completions)
@@ -842,6 +845,7 @@ user presses 'y'"
 user presses 'yes'"
   (loop for line = (read-one-line (current-screen)
                                   (format nil "~a(yes or no) " message)
+                                  :completions
                                   '("yes" "no"))
         until (find line '("yes" "no") :test 'string-equal)
         do (message "Please answer yes or no")
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>